Function
position
Position of an iterator.
Position position(iterator [, container])
Include Headers
seqan/basic.h
Parameters

iter | Types: Adaptor Iterator
iterator | An iterator. Types: RootedRandomAccessIteratorConcept Finder, Iter, Pattern, Position Iterator
container | A container. Types: ContainerConcept: Gaps, ModifiedString, String Remarks: If iterator implements RootedIteratorConcept, then container is optional. If container is specified, iterator must be a container of container.

Return Values
The position of the value in the container iterator points to.
Metafunctions: Position
Member of
Position Iterator, Pattern, Finder, Iter
Example Programs
Rooted Iterators
Part of Concept
Pattern, ContainerConcept, RootedRandomAccessIteratorConcept
See Also
setPosition
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58